pydo.apps.get_instances()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.apps.get_instances(app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf")
Returns JSONRaises HttpResponseError

Description

Retrieve the list of running instances for a given application, including instance names and component types. Please note that these instances are ephemeral and may change over time. It is recommended not to make persistent changes or develop scripts that rely on their persistence.

Parameters

app_id string required

The app ID

Response Example

Show Response Example
{
  "instances": [
    {
      "component_name": "sample-golang",
      "instance_name": "sample-golang-76b84c7fb8-6p8kq",
      "instance_alias": "sample-golang-0",
      "component_type": "SERVICE"
    },
    {
      "component_name": "sample-golang",
      "instance_name": "sample-golang-76b84c7fb8-ngvpc",
      "instance_alias": "sample-golang-1",
      "component_type": "SERVICE"
    },
    {
      "component_name": "sample-php",
      "instance_name": "sample-php-767c6b49c4-dkgpt",
      "instance_alias": "sample-php-0",
      "component_type": "SERVICE"
    },
    {
      "component_name": "sample-php",
      "instance_name": "sample-php-767c6b49c4-z8dll",
      "instance_alias": "sample-php-1",
      "component_type": "SERVICE"
    }
  ]
}

More Information

See /v2/apps/{app_id}/instances in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.